%define name	dot2tex
%define version 2.8.7
%define release %mkrel 1

Summary:	Graphviz to LaTeX converter
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.zip
License:	MIT
Group:		Graphics
Url:		http://www.fauskes.net/code/dot2tex/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
Requires:	python-parsing
Requires:	emacs-auctex
Requires:	latex-pgf
Requires:	graphviz
%py_requires -d 

%description
The purpose of dot2tex is to give graphs generated by Graphviz a more
LaTeX friendly look and feel. This is accomplished by converting xdot
output from Graphviz to a series of PSTricks or PGF/TikZ
commands. This approach allows:

* Typesetting labels with LaTeX, allowing mathematical notation.
* Using native PSTricks and PGF/TikZ commands for drawing arrows (optional).
* Using backend specific styles to customize the output

Dot2tex can preprocess graphs using the preview package. Information
about label sizes will be extracted and used to get correctly sized
nodes and edge labels.

%prep
%setup -q

%install
%__rm -rf %{buildroot}
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot} --record=FILE_LIST
%__chmod -R o-w *.txt LICENSE doc/ examples
%__chmod -R g-w *.txt LICENSE doc/ examples

%clean
%__rm -rf %{buildroot}

%files -f FILE_LIST
%defattr(-,root,root)
%doc *.txt LICENSE doc/* examples/


%changelog
* Wed Jun 01 2011 Lev Givon <lev@mandriva.org> 2.8.7-1mdv2011.0
+ Revision: 682247
- import dot2tex


